---
title: Order RUM retention filters
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Rum Retention Filters
---

# Order RUM retention filters{% #order-rum-retention-filters %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                         |
| ----------------- | ---------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/rum/applications/{app_id}/relationships/retention_filters |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/rum/applications/{app_id}/relationships/retention_filters |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/rum/applications/{app_id}/relationships/retention_filters      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/rum/applications/{app_id}/relationships/retention_filters      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/rum/applications/{app_id}/relationships/retention_filters  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/rum/applications/{app_id}/relationships/retention_filters     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/rum/applications/{app_id}/relationships/retention_filters |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/rum/applications/{app_id}/relationships/retention_filters |

### Overview

Order RUM retention filters for a RUM application. Returns RUM retention filter objects without attributes from the request body when the request is successful.

### Arguments

#### Path Parameters

| Name                     | Type   | Description         |
| ------------------------ | ------ | ------------------- |
| app_id [*required*] | string | RUM application ID. |

### Request

#### Body Data (required)

New definition of the RUM retention filter.

{% tab title="Model" %}

| Parent field | Field                  | Type     | Description                                                                                                      |
| ------------ | ---------------------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
|              | data                   | [object] | A list of RUM retention filter IDs along with type.                                                              |
| data         | id [*required*]   | string   | ID of retention filter in UUID.                                                                                  |
| data         | type [*required*] | enum     | The type of the resource. The value should always be retention_filters. Allowed enum values: `retention_filters` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "type": "retention_filters",
      "id": "325631eb-94c9-49c0-93f9-ab7e4fd24529"
    },
    {
      "type": "retention_filters",
      "id": "42d89430-5b80-426e-a44b-ba3b417ece25"
    },
    {
      "type": "retention_filters",
      "id": "bff0bc34-99e9-4c16-adce-f47e71948c23"
    }
  ]
}
```

{% /tab %}

### Response

{% tab title="200" %}
Ordered
{% tab title="Model" %}
The list of RUM retention filter IDs along with type.

| Parent field | Field                  | Type     | Description                                                                                                      |
| ------------ | ---------------------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
|              | data                   | [object] | A list of RUM retention filter IDs along with type.                                                              |
| data         | id [*required*]   | string   | ID of retention filter in UUID.                                                                                  |
| data         | type [*required*] | enum     | The type of the resource. The value should always be retention_filters. Allowed enum values: `retention_filters` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "id": "051601eb-54a0-abc0-03f9-cc02efa18892",
      "type": "retention_filters"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export app_id="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/rum/applications/${app_id}/relationships/retention_filters" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": [
    {
      "id": "051601eb-54a0-abc0-03f9-cc02efa18892",
      "type": "retention_filters"
    }
  ]
}
EOF 
                        
##### 

```go
// Order RUM retention filters returns "Ordered" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.RumRetentionFiltersOrderRequest{
		Data: []datadogV2.RumRetentionFiltersOrderData{
			{
				Type: datadogV2.RUMRETENTIONFILTERTYPE_RETENTION_FILTERS,
				Id:   "325631eb-94c9-49c0-93f9-ab7e4fd24529",
			},
			{
				Type: datadogV2.RUMRETENTIONFILTERTYPE_RETENTION_FILTERS,
				Id:   "42d89430-5b80-426e-a44b-ba3b417ece25",
			},
			{
				Type: datadogV2.RUMRETENTIONFILTERTYPE_RETENTION_FILTERS,
				Id:   "bff0bc34-99e9-4c16-adce-f47e71948c23",
			},
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRumRetentionFiltersApi(apiClient)
	resp, r, err := api.OrderRetentionFilters(ctx, "1d4b9c34-7ac4-423a-91cf-9902d926e9b3", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RumRetentionFiltersApi.OrderRetentionFilters`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RumRetentionFiltersApi.OrderRetentionFilters`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Order RUM retention filters returns "Ordered" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumRetentionFiltersApi;
import com.datadog.api.client.v2.model.RumRetentionFilterType;
import com.datadog.api.client.v2.model.RumRetentionFiltersOrderData;
import com.datadog.api.client.v2.model.RumRetentionFiltersOrderRequest;
import com.datadog.api.client.v2.model.RumRetentionFiltersOrderResponse;
import java.util.Arrays;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    RumRetentionFiltersApi apiInstance = new RumRetentionFiltersApi(defaultClient);

    RumRetentionFiltersOrderRequest body =
        new RumRetentionFiltersOrderRequest()
            .data(
                Arrays.asList(
                    new RumRetentionFiltersOrderData()
                        .type(RumRetentionFilterType.RETENTION_FILTERS)
                        .id("325631eb-94c9-49c0-93f9-ab7e4fd24529"),
                    new RumRetentionFiltersOrderData()
                        .type(RumRetentionFilterType.RETENTION_FILTERS)
                        .id("42d89430-5b80-426e-a44b-ba3b417ece25"),
                    new RumRetentionFiltersOrderData()
                        .type(RumRetentionFilterType.RETENTION_FILTERS)
                        .id("bff0bc34-99e9-4c16-adce-f47e71948c23")));

    try {
      RumRetentionFiltersOrderResponse result =
          apiInstance.orderRetentionFilters("1d4b9c34-7ac4-423a-91cf-9902d926e9b3", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumRetentionFiltersApi#orderRetentionFilters");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```python
"""
Order RUM retention filters returns "Ordered" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_retention_filters_api import RumRetentionFiltersApi
from datadog_api_client.v2.model.rum_retention_filter_type import RumRetentionFilterType
from datadog_api_client.v2.model.rum_retention_filters_order_data import RumRetentionFiltersOrderData
from datadog_api_client.v2.model.rum_retention_filters_order_request import RumRetentionFiltersOrderRequest

body = RumRetentionFiltersOrderRequest(
    data=[
        RumRetentionFiltersOrderData(
            type=RumRetentionFilterType.RETENTION_FILTERS,
            id="325631eb-94c9-49c0-93f9-ab7e4fd24529",
        ),
        RumRetentionFiltersOrderData(
            type=RumRetentionFilterType.RETENTION_FILTERS,
            id="42d89430-5b80-426e-a44b-ba3b417ece25",
        ),
        RumRetentionFiltersOrderData(
            type=RumRetentionFilterType.RETENTION_FILTERS,
            id="bff0bc34-99e9-4c16-adce-f47e71948c23",
        ),
    ],
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = RumRetentionFiltersApi(api_client)
    response = api_instance.order_retention_filters(app_id="1d4b9c34-7ac4-423a-91cf-9902d926e9b3", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Order RUM retention filters returns "Ordered" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::RumRetentionFiltersAPI.new

body = DatadogAPIClient::V2::RumRetentionFiltersOrderRequest.new({
  data: [
    DatadogAPIClient::V2::RumRetentionFiltersOrderData.new({
      type: DatadogAPIClient::V2::RumRetentionFilterType::RETENTION_FILTERS,
      id: "325631eb-94c9-49c0-93f9-ab7e4fd24529",
    }),
    DatadogAPIClient::V2::RumRetentionFiltersOrderData.new({
      type: DatadogAPIClient::V2::RumRetentionFilterType::RETENTION_FILTERS,
      id: "42d89430-5b80-426e-a44b-ba3b417ece25",
    }),
    DatadogAPIClient::V2::RumRetentionFiltersOrderData.new({
      type: DatadogAPIClient::V2::RumRetentionFilterType::RETENTION_FILTERS,
      id: "bff0bc34-99e9-4c16-adce-f47e71948c23",
    }),
  ],
})
p api_instance.order_retention_filters("1d4b9c34-7ac4-423a-91cf-9902d926e9b3", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```rust
// Order RUM retention filters returns "Ordered" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_retention_filters::RumRetentionFiltersAPI;
use datadog_api_client::datadogV2::model::RumRetentionFilterType;
use datadog_api_client::datadogV2::model::RumRetentionFiltersOrderData;
use datadog_api_client::datadogV2::model::RumRetentionFiltersOrderRequest;

#[tokio::main]
async fn main() {
    let body = RumRetentionFiltersOrderRequest::new().data(vec![
        RumRetentionFiltersOrderData::new(
            "325631eb-94c9-49c0-93f9-ab7e4fd24529".to_string(),
            RumRetentionFilterType::RETENTION_FILTERS,
        ),
        RumRetentionFiltersOrderData::new(
            "42d89430-5b80-426e-a44b-ba3b417ece25".to_string(),
            RumRetentionFilterType::RETENTION_FILTERS,
        ),
        RumRetentionFiltersOrderData::new(
            "bff0bc34-99e9-4c16-adce-f47e71948c23".to_string(),
            RumRetentionFilterType::RETENTION_FILTERS,
        ),
    ]);
    let configuration = datadog::Configuration::new();
    let api = RumRetentionFiltersAPI::with_config(configuration);
    let resp = api
        .order_retention_filters("1d4b9c34-7ac4-423a-91cf-9902d926e9b3".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Order RUM retention filters returns "Ordered" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.RumRetentionFiltersApi(configuration);

const params: v2.RumRetentionFiltersApiOrderRetentionFiltersRequest = {
  body: {
    data: [
      {
        type: "retention_filters",
        id: "325631eb-94c9-49c0-93f9-ab7e4fd24529",
      },
      {
        type: "retention_filters",
        id: "42d89430-5b80-426e-a44b-ba3b417ece25",
      },
      {
        type: "retention_filters",
        id: "bff0bc34-99e9-4c16-adce-f47e71948c23",
      },
    ],
  },
  appId: "1d4b9c34-7ac4-423a-91cf-9902d926e9b3",
};

apiInstance
  .orderRetentionFilters(params)
  .then((data: v2.RumRetentionFiltersOrderResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
